#pragma once

#ifndef OPENCL_H
#define OPENCL_H


/**
	\file
	\brief Includes all OpenCL headers
*/




/**
	\namespace OpenCL
	\brief Contains State, Program, Converter and Exception classes
*/




/*==============================================================================
	Include all OpenCL headers
==============================================================================*/


#include "opencl_converter.h"
#include "opencl_program.h"
#include "opencl_state.h"
#include "opencl_deleter.h"
#include "opencl_exception.h"




#endif    // OPENCL_H
